Bug 248559 - net-im/gajim: update to 1.2.2
Summary: net-im/gajim: update to 1.2.2
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-09 18:25 UTC by yzrh
Modified: 2020-11-02 12:28 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rm)


Attachments
Patch against r532905 (4.19 KB, patch)
2020-08-09 18:27 UTC, yzrh
no flags Details | Diff
Patch against r532905 (fix PY_FLAVOR) (4.24 KB, patch)
2020-08-10 18:56 UTC, yzrh
no flags Details | Diff
Patch against r532905 (4.24 KB, patch)
2020-08-20 15:08 UTC, yzrh
no flags Details | Diff
testport log (gzipped) (26.17 KB, application/gzip)
2020-08-20 15:08 UTC, yzrh
no flags Details
Patch against r532905 (4.22 KB, patch)
2020-08-20 15:25 UTC, yzrh
no flags Details | Diff
testport log (gzipped) (26.27 KB, application/gzip)
2020-08-20 15:26 UTC, yzrh
no flags Details
nbxmpp-1.0.2 (940 bytes, patch)
2020-08-26 21:19 UTC, yzrh
no flags Details | Diff
pygobject3-common-3.36.1 (5.91 KB, patch)
2020-08-26 21:20 UTC, yzrh
no flags Details | Diff
py-gobject3 (update pkg-plist) (3.82 KB, patch)
2020-08-26 21:21 UTC, yzrh
no flags Details | Diff
testport log of py37-gobject3-3.36.1 (93.37 KB, text/plain)
2020-08-26 21:22 UTC, yzrh
no flags Details
testport log of py37-nbxmpp-1.0.2 (41.30 KB, text/plain)
2020-08-26 21:23 UTC, yzrh
no flags Details
testport log of pygobject3-common-3.36.1 (27.11 KB, text/plain)
2020-08-26 21:23 UTC, yzrh
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description yzrh 2020-08-09 18:25:12 UTC
Release notes: https://gajim.org/post/2020-07-08-gajim-1.2.1-released/

As mentioned in release notes,  bundled plug-ins will be enabled
automatically.  Shell we at least include these two common ones:

https://dev.gajim.org/gajim/gajim-plugins/-/wikis/OmemoGajimPlugin
https://dev.gajim.org/gajim/gajim-plugins/-/wikis/UrlImagePreviewPlugin

Or just package all of them?
Comment 1 yzrh 2020-08-09 18:27:22 UTC
Created attachment 217117 [details]
Patch against r532905

It builds.  Poudriere does not complain.
Please test it more.
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2020-08-10 08:40:20 UTC
Hello, this is a major port Makefile rewrite. Would you clarify more why it is needed? For example, why you dropped PY_FLAVOR part, why gajim needs libsoup in LIB_DEPENDS etc?
Comment 3 yzrh 2020-08-10 18:56:21 UTC
Created attachment 217135 [details]
Patch against r532905 (fix PY_FLAVOR)

Sorry for delay.  I totally forgot about PY_FLAVOR,
it is fixed.

libsoup is listed in runtime requirement:

https://dev.gajim.org/gajim/gajim/-/commit/48cf636600d41a880fc9285d3a2b225936d998bd
Comment 4 yzrh 2020-08-20 15:08:03 UTC
Created attachment 217381 [details]
Patch against r532905
Comment 5 yzrh 2020-08-20 15:08:46 UTC
Created attachment 217382 [details]
testport log (gzipped)

portlint -C
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
0 fatal errors and 1 warning found.
Comment 6 yzrh 2020-08-20 15:25:56 UTC
Created attachment 217383 [details]
Patch against r532905

Remove unused USES=xorg
Comment 7 yzrh 2020-08-20 15:26:30 UTC
Created attachment 217384 [details]
testport log (gzipped)

portlint -C
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
0 fatal errors and 1 warning found.
Comment 8 Matthieu Volat 2020-08-25 16:43:26 UTC
This patch works as far as packaging is concerned, but running gajim requires first a py-nbxmpp update to at least 1.0.2:

% gajim
Traceback (most recent call last):
[...]
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'nbxmpp>=1.0.2' distribution was not found and is required by gajim


I checked the 1.2.0 branch, it also required some newer gnome/glib stuff that was is currently in ports, has something changed?
Comment 9 yzrh 2020-08-26 12:26:05 UTC
https://dev.gajim.org/gajim/python-nbxmpp/-/tags

It was tagged recently.  I guess we need to at least
update net-im/py-nbxmpp.
Comment 10 yzrh 2020-08-26 19:33:39 UTC
Okay.  I think glib is a tough one.  I tried to compile
2.64.5,  it fails with:

Checking for function "ngettext": NO
Library intl found: NO
Comment 11 yzrh 2020-08-26 21:19:08 UTC
Created attachment 217555 [details]
nbxmpp-1.0.2
Comment 12 yzrh 2020-08-26 21:20:50 UTC
Created attachment 217556 [details]
pygobject3-common-3.36.1
Comment 13 yzrh 2020-08-26 21:21:42 UTC
Created attachment 217557 [details]
py-gobject3 (update pkg-plist)
Comment 14 yzrh 2020-08-26 21:22:41 UTC
Created attachment 217558 [details]
testport log of py37-gobject3-3.36.1
Comment 15 yzrh 2020-08-26 21:23:18 UTC
Created attachment 217559 [details]
testport log of py37-nbxmpp-1.0.2
Comment 16 yzrh 2020-08-26 21:23:38 UTC
Created attachment 217560 [details]
testport log of pygobject3-common-3.36.1
Comment 17 yzrh 2020-08-26 21:29:43 UTC
devel/glib20 >=2.60.0 is next.  Let me find out
what needs to be done tomorrow.